declare const _default: {
    mixins: {
        computed: {
            resource(): import("@hyral/core").Resource<unknown>;
        };
        serverPrefetch(): Promise<void>;
        mounted(): Promise<void>;
        methods: {
            loadResource(): Promise<any>;
        };
    }[];
    props: {
        uuid: {
            type: StringConstructor;
            required: boolean;
        };
        type: {
            type: StringConstructor;
            required: boolean;
        };
    };
    data(): {
        id: string | number;
        resourceType: string;
        hyralService: string;
    };
    methods: {
        /**
         * Returns the component from the mapping according to the name of the component type
         *
         * @requires this.mapping Throws error if this.mapping is not present
         * @see this.mapping.fallback Returns renderless fallback component if name not found and mapping.fallback is not present
         */
        getEntity(name: string): unknown;
    };
};
/**
 * Uses Hyral ResourceMixin to fetch the required drupal data automatically
 */
export default _default;
//# sourceMappingURL=DrupalMixin.d.ts.map