"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@hyral/core");
var vue_1 = require("@hyral/vue");
var Repository_1 = require("./Init/Repository");
var Mapping_1 = require("./Validators/Mapping");
var Menu_1 = require("./Loaders/Menu");
/**
 * The plugin activates the VueX Plugin and loads menu items
 * @requires mapping
 * @see IMapping
 */
exports.default = (function (options) { return function (_a) {
    var store = _a.store;
    Mapping_1.validateOptions(options);
    Mapping_1.validateBaseUrl(options);
    Mapping_1.validateMapping(options);
    var hyralService = options.name || 'drupal';
    // Create repositories
    Repository_1.createRepositories(options, core_1.repositoryManager);
    // Activate the store
    vue_1.createVuexPlugin(core_1.repositoryManager, hyralService)(store);
    // Load the menu items
    Menu_1.loadMenuItems(options, hyralService, store);
}; });
