"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRepositories = void 0;
var core_1 = require("@hyral/core");
var json_api_1 = __importDefault(require("@hyral/json-api"));
var axios_1 = __importDefault(require("axios"));
/**
 * Creates the repositories from the mapping
 */
// eslint-disable-next-line import/prefer-default-export
var createRepositories = function (options, repositoryManager) {
    var axiosInstance = axios_1.default.create({ baseURL: options.baseUrl + "/jsonapi" });
    var connector = new core_1.HttpConnector(axiosInstance, json_api_1.default);
    var repositories = __spreadArray(__spreadArray(__spreadArray([], options.mapping.nodes), options.mapping.menus.map(function (menu) { return "menu_items/" + menu; })), Object.keys(options.mapping.entities));
    repositories.forEach(function (type) { return repositoryManager.createRepository(connector, type); });
};
exports.createRepositories = createRepositories;
