import Vue from 'vue';
import { Store } from 'vuex';
export declare type IContext = {
    store: IStore;
    route: IRoute;
    redirect: (path: string) => void;
};
export declare type IRoute = {
    path: string;
    props?: {
        default: {
            drupal: boolean;
        };
    };
    matched: IRoute[];
};
export declare type IDruxtRouterRoute = {
    resolvedPath: string;
};
export declare type IDruxtRouterResponse = {
    statusCode?: string | number;
    route: IDruxtRouterRoute;
};
export declare type IMapping = {
    nodes: string[];
    menus: string[];
    entities: Record<string, unknown>;
};
export declare type IOptions<T> = {
    mapping: T;
    baseUrl: string;
    name?: string;
};
export declare type INuxtContext = {
    requireModule?: (modulePath: string, once?: boolean) => Promise<void>;
};
export declare type ID = string | number;
export declare type IMenu = {
    id: ID;
    parent: ID;
};
export interface IStore extends Store<any> {
    state: {
        druxtRouter: {
            route: {
                props: {
                    uuid: string;
                    type: string;
                };
            };
        };
    };
    dispatch: (type: string, payload?: any) => Promise<IDruxtRouterResponse>;
}
export interface IDrupalMixin {
    mixins: any[];
    uuid: string;
    type: string;
    $store: IStore;
    mapping: Record<string, Vue>;
}
//# sourceMappingURL=index.d.ts.map