import { AxiosInstance, AxiosStatic } from 'axios';
import { IConnector, IParameterBag, IRepository, ITask, IResponse, ISerializers } from '../__types__';
/**
 * The connector defines the protocol Hyral should use to communicate with
 */
export default class HttpConnector<T> implements IConnector<T> {
    axios: AxiosInstance;
    serializers: ISerializers<T>;
    constructor(axios: AxiosStatic | AxiosInstance, serializers: ISerializers<T>);
    fetch(repository: IRepository<T>, parameterBag?: IParameterBag): Promise<IResponse<T>>;
    fetchOne(repository: IRepository<T>, id: string | number, parameterBag?: IParameterBag): Promise<IResponse<T>>;
    create(task: ITask<T>): Promise<IResponse<T>>;
    update(task: ITask<T>): Promise<IResponse<T>>;
    delete(task: ITask<T>): Promise<void>;
}
//# sourceMappingURL=HttpConnector.d.ts.map