import { ICollection, IRepository, IResource } from '../__types__';
import ParameterBag from './ParameterBag';
/**
 * A Collection is a managed way of working with a list of resources
 * It is connected to a Repository to fetch data
 */
export default class Collection<T> implements ICollection<T> {
    name: string;
    repository: IRepository<T>;
    data: IResource<T>[];
    parameterBag: ParameterBag;
    constructor(name: string, repository: IRepository<T>, parameterBag?: ParameterBag);
    get length(): number;
    get items(): IResource<T>[];
    load(): Promise<void>;
}
//# sourceMappingURL=Collection.d.ts.map