import { IFilter, IParameterBag, ISorting } from '../__types__';
/**
 * All information for a request to the backend that is not a resource is contained in a parameterBag
 */
export default class ParameterBag implements IParameterBag {
    filters: IFilter[];
    sorting: ISorting[];
    paging: Record<string, unknown>;
    params: Record<string, unknown>;
    constructor(filters?: IFilter[], sorting?: ISorting[], paging?: {}, params?: {});
    addFilter(filter: IFilter): void;
    setFilters(filters: IFilter[]): void;
    setSorting(sorting: ISorting[]): void;
    setPaging(paging: Record<string, unknown>): void;
    addParam(key: string, value: unknown): void;
    setParams(params: Record<string, unknown>): void;
}
//# sourceMappingURL=ParameterBag.d.ts.map