"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * All information for a request to the backend that is not a resource is contained in a parameterBag
 */
var ParameterBag = /** @class */ (function () {
    function ParameterBag(filters, sorting, paging, params) {
        if (filters === void 0) { filters = []; }
        if (sorting === void 0) { sorting = []; }
        if (paging === void 0) { paging = {}; }
        if (params === void 0) { params = {}; }
        this.filters = filters;
        this.sorting = sorting;
        this.paging = paging;
        this.params = params;
    }
    ParameterBag.prototype.addFilter = function (filter) {
        this.filters.push(filter);
    };
    ParameterBag.prototype.setFilters = function (filters) {
        this.filters = filters;
    };
    ParameterBag.prototype.setSorting = function (sorting) {
        this.sorting = sorting.map(function (_a) {
            var field = _a.field, direction = _a.direction;
            return ({
                field: field,
                direction: direction || 'asc',
            });
        });
    };
    ParameterBag.prototype.setPaging = function (paging) {
        this.paging = paging;
    };
    ParameterBag.prototype.addParam = function (key, value) {
        var _a;
        this.params = __assign(__assign({}, this.params), (_a = {}, _a[key] = value, _a));
    };
    ParameterBag.prototype.setParams = function (params) {
        this.params = params;
    };
    return ParameterBag;
}());
exports.default = ParameterBag;
