import { IConnector, IRepository, IParameterBag, IResource, ITask, IResponse } from '../__types__';
/**
 * For each type of Resource a Repository must be created.
 * When fetching resources for a resource type you can use the repository methods.
 */
export default class Repository<T> implements IRepository<T> {
    connector: IConnector<T>;
    resourceType: string;
    identifier: string;
    constructor(connector: IConnector<T>, resourceType: string, identifier: string);
    find(parameterBag?: IParameterBag): Promise<IResource<T>[]>;
    findOne(parameterBag?: IParameterBag): Promise<IResource<T> | null>;
    findById(id: string | number, parameterBag?: IParameterBag): Promise<IResource<T> | null>;
    create(task: ITask<T>): Promise<IResponse<T>>;
    update(task: ITask<T>): Promise<IResponse<T>>;
    delete(task: ITask<T>): Promise<void>;
}
//# sourceMappingURL=Repository.d.ts.map