"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var relationshipGetResource_1 = __importDefault(require("./relationshipGetResource"));
/**
 * Maps the data from relationships of the response to the data
 */
function relationshipApplyToData(items, includedRelations) {
    Object.values(items).forEach(function (resource) {
        Object.entries(resource.relationships).forEach(function (_a) {
            var field = _a[0], relation = _a[1];
            var resourceData = resource.data;
            if (!resourceData[field]) {
                return;
            }
            if (relation.many === false) {
                resourceData[field] = relationshipGetResource_1.default(resourceData[field], includedRelations);
                return;
            }
            var fields = resourceData[field];
            resourceData[field] = fields.map(function (item) { return relationshipGetResource_1.default(item, includedRelations); });
        });
    });
}
exports.default = relationshipApplyToData;
