"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var qs_1 = require("qs");
var whatwg_url_1 = require("whatwg-url");
/**
 * Normalizes the paging of the response
 */
function normalizePaging(response) {
    if (!response.links || !response.links.last) {
        return {
            count: 0,
            pages: 0,
        };
    }
    var whatwgUrl = new whatwg_url_1.URL(response.links.last, 'http://_');
    var query = qs_1.parse(whatwgUrl.search.substring(1));
    var numPages = parseInt(query.page.number, 10);
    var numPerPage = parseInt(query.page.size, 10);
    return {
        count: numPages * numPerPage,
        pages: numPages,
    };
}
exports.default = normalizePaging;
