"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var normalizeResources_1 = __importDefault(require("./Resource/normalizeResources"));
var relationshipApplyToData_1 = __importDefault(require("./Resource/Relationship/relationshipApplyToData"));
var normalizePaging_1 = __importDefault(require("./Resource/normalizePaging"));
/**
 * The normalizer parses the JSON response to resources
 */
function responseNormalizer(response) {
    if (response.errors) {
        return response;
    }
    if (!response.data) {
        return response;
    }
    var includedResources = response.included ? normalizeResources_1.default(response.included) : {};
    relationshipApplyToData_1.default(includedResources, includedResources);
    var rootResources = normalizeResources_1.default(!Array.isArray(response.data) ? [response.data] : response.data);
    relationshipApplyToData_1.default(rootResources, includedResources);
    var normalizedItems = Object.values(rootResources);
    if (!Array.isArray(response.data)) {
        return {
            data: normalizedItems.shift() || {},
        };
    }
    return {
        data: normalizedItems,
        paging: normalizePaging_1.default(response),
    };
}
responseNormalizer.responseType = 'json';
exports.default = responseNormalizer;
