import { INormalizedResponse, IResource } from '@hyral/core';
export declare type IserializedFilter = {
    filter?: Record<string, string>;
};
export declare type IserializedPaging = {
    page?: Record<string, unknown>;
};
export declare type IserializedSorting = {
    sort?: string;
};
export declare type ISerializedParams = Record<string, unknown>;
export declare type IItem = {
    id: string | number;
    type: string;
    meta: Record<string, any>;
};
export declare type IData = Record<string, any> | any;
export declare type IJsonApiResource = {
    id: string | number;
    type: string;
    attributes: Record<string, any>;
    relationships: Record<string, IResource<IData>>;
    meta: Record<string, any>;
};
export declare type IJsonApiResponse = {
    included: IJsonApiResource[];
    data: IJsonApiResource[] | IJsonApiResource | null;
    links: Record<string, string>;
    jsonapi: {
        version: string;
    };
    metadata: any;
    errors: any;
};
export declare type IResponse = INormalizedResponse<any> | IJsonApiResponse;
//# sourceMappingURL=index.d.ts.map